import datetime
import subprocess

def crear_weekly():
    ruta = "/media/datos/javier/Nextcloud/Notes/"

    # Obtener la fecha y el número de semana actual
    fecha_actual = datetime.datetime.now()
    id = fecha_actual.strftime("%Y%m%d%H%M%S")
    numero_semana_actual = int(fecha_actual.strftime("%U"))+1

    # Formar el nombre del archivo
    nombre_archivo = f"{id} weekly {int(numero_semana_actual)}.md"

    # Contenido del archivo
    contenido = f"""---
title: 🗓️ Weekly {int(numero_semana_actual)}
uid: {id}
tags: task
author: Javierinsitu
---
# Semana {int(numero_semana_actual)}

| Lun | Mar | Mie | Jue | Vie | Sáb | Dom |
|-----|-----|-----|-----|-----|-----|-----|
| Work | | Ingles | Work | Work | 8hs Inglés | |
| Work | | | Work | Work | | |
| Work | | Hockey | Work | Work | Cumple | |
| | Futbol | | | | | |

1. [[Tasks|Tareas pendientes]]
2. [[index_work|Work]]
3. [[202303290058 Journaling|Journaling]]

## Trabajo

## Eventos

## Julia y Lucia

## Pendientes

## Otros
"""

    # Escribir el contenido en el archivo
    try:
        with open(ruta + nombre_archivo, 'w') as archivo:
            archivo.write(contenido)
            print(f"Archivo {nombre_archivo} creado exitosamente.")
    except Exception as e:
        print("Error al crear el archivo:", e)
        return

    # Abrir el archivo con Kate
    comando_kate = f'kate "{ruta + nombre_archivo}"'
    try:
        subprocess.run(comando_kate, shell=True)
    except Exception as e:
        print("Error al intentar abrir el archivo con Kate:", e)

# Llamar a la función para crear el archivo y abrirlo con Kate
crear_weekly()
